#
# spec file for package python-codecov
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-codecov
Version:        2.0.15
Release:        bp153.1.16
Summary:        Hosted coverage reports
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/codecov/codecov-python
Source:         https://files.pythonhosted.org/packages/source/c/codecov/codecov-%{version}.tar.gz
Source10:       https://raw.githubusercontent.com/codecov/codecov-python/v%{version}/LICENSE
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module requests >= 2.7.9}
# /SECTION
Requires:       python-coverage
Requires:       python-requests >= 2.7.9
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post):   update-alternatives
Requires(postun):  update-alternatives

%python_subpackages

%description
Hosted coverage reports for Github, Bitbucket and Gitlab.

%prep
%setup -q -n codecov-%{version}
sed -i -e '/^#!\//, 1d' codecov/__init__.py
cp %{SOURCE10} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone -a %{buildroot}%{_bindir}/codecov

%post
%python_install_alternative codecov

%postun
%python_uninstall_alternative codecov

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%python_alternative %{_bindir}/codecov
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Aug 13 2018 mcepl@suse.com
- Remove dependency on unittest2
  (tests are not run at all, because they depend on network)
* Tue May 29 2018 toddrme2178@gmail.com
- Update to 2.0.15
  * add `-X s3` to disable direct to S3 uploading
- Update to 2.0.14
  * fixed coverage combine
- Update to 2.0.13
  * fix encoding issues
- Update to 2.0.12
  * revert merge commit fix, back to old way
- Update to 2.0.11
  * fix merge commit when it's a pull request
  * remove snapci, business closed
  * skip vendor directories for gcov parsing
  * run coverage combine not merge
  * fix report encoding
- Update to 2.0.10
  * fix uploading when reports contain characters outside of latin-1
  * remove reduced_redundancy header from
- Add license file
* Tue May 29 2018 toddrme2178@gmail.com
- Add license and doc files
- Use license tag
- Spec file cleanups
* Sat Mar  3 2018 arun@gmx.de
- specfile:
  * update copyright year
  * don't use python_module for Requires
* Thu Jul 13 2017 toddrme2178@gmail.com
- Initial version
